Bug 233532 - sysutils/intel-nvmupdate: update to 6.80
Summary: sysutils/intel-nvmupdate: update to 6.80
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://downloadmirror.intel.com/2228...
Keywords:
Depends on: 233531
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-26 12:15 UTC by ixbug
Modified: 2018-12-10 15:17 UTC (History)
2 users (show)

See Also:
skozlov: maintainer-feedback+


Attachments
patch (7.67 KB, patch)
2018-11-30 20:31 UTC, Kurt Jaeger
skozlov: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ixbug 2018-11-26 12:15:00 UTC
On 2018-11-09 Intel released version 6.80
(FreeBSD currently ships 6.01).

This update might help solve a severe issue causing "Malicious Driver Detection events".
https://communities.intel.com/message/594608#594608

https://communities.intel.com/external-link.jspa?url=https%3A%2F%2Fdownloadcenter.intel.com%2Fdownload%2F22283%2FEthernet-Intel-Ethernet-Adapter-Complete-Driver-Pack
Comment 1 Bugzilla Automation freebsd_committer 2018-11-26 12:15:00 UTC
Maintainer informed via mail
Comment 2 Kurt Jaeger freebsd_committer 2018-11-30 20:31:12 UTC
Created attachment 199696 [details]
patch
Comment 3 ixbug 2018-12-01 14:36:07 UTC
as per [1] (page 18):
"Note:
Update to the device driver for given release prior to running the NVM update tool."

so ideally the related driver (net/intel-ixl-kmod) is updated along this port.
bug is: 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=233531



[1] https://www.intel.com/content/dam/www/public/us/en/documents/release-notes/xl710-ethernet-controller-feature-matrix.pdf
Comment 4 Serhii (Sergey) Kozlov freebsd_committer 2018-12-10 15:10:49 UTC
Kurt,

The patch looks good, please go ahead and commit it.

Thank you,
Sergey
Comment 5 Kurt Jaeger freebsd_committer 2018-12-10 15:16:30 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2018-12-10 15:17:14 UTC
A commit references this bug:

Author: pi
Date: Mon Dec 10 15:16:17 UTC 2018
New revision: 487178
URL: https://svnweb.freebsd.org/changeset/ports/487178

Log:
  sysutils/intel-nvmupdate: update 6.01 -> 6.80

  - Please note: FCoE is no longer supported and is no longer being tested

  PR:		233532
  Reported by:	ixbug@riseup.net
  Approved by:	skozlov@FreeBSD.org (maintainer)
  Relnotes:	https://downloadmirror.intel.com/22283/eng/readme.txt

Changes:
  head/sysutils/intel-nvmupdate/Makefile
  head/sysutils/intel-nvmupdate/distinfo
  head/sysutils/intel-nvmupdate/pkg-plist